Topic: Need Help In Ruby

Im Tryin to run this http://www.mytty.org/wafp/. im new to ruby so i kinda dont know what im doing sorry but heres where iam so far

ruby 1.8.6 (2009-08-04 patchlevel 383) [i386-mingw32]

C:\Windows\System32>cd C:\Ruby\bin\new

C:\Ruby\bin\new>wafp.rb
C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_re
quire': no such file to load -- sqlite3 (LoadError)
        from C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `re
quire'
        from C:/Ruby/bin/new/wafp.rb:46

Re: Need Help In Ruby

It looks like you need to install the sqlite (or sqlite3) gem.  A gem is a library (or set of libraries), in this case providing an interface to an sqlite DBMS.  All ruby programs (that aren't trivial toy/learning programs) use some gems.  I've not used wafp but normally the documentation for any ruby app will list the gems that you need - i couldn't see this in the wafp documentation.

It's been a long time since i installed any gems in windows and i can't remember how it works.  You can google it anyway.

###########################################
#If i've helped you then please recommend me at Working With Rails:
#http://www.workingwithrails.com/person/ … i-williams